wifi8 2.0.0.0

Data Fields
wifi8_cfg_t Struct Reference

WiFi 8 Click configuration object. More...

`#include <wifi8.h>`

## Data Fields
pin_name_t | miso
pin_name_t | mosi
pin_name_t | sck
pin_name_t | cs
pin_name_t | en
pin_name_t | rst
pin_name_t | wkp
pin_name_t | int_pin
uint32_t | spi_speed
spi_master_mode_t | spi_mode
spi_master_chip_select_polarity_t | cs_polarity

## Detailed Description

WiFi 8 Click configuration object.

Configuration object definition of WiFi 8 Click driver.

## Field Documentation

## ◆ cs

pin_name_t cs

Chip select pin descriptor for SPI driver.

## ◆ cs_polarity

spi_master_chip_select_polarity_t cs_polarity

Chip select pin polarity.

## ◆ en

pin_name_t en

Description.

## ◆ int_pin

pin_name_t int_pin

Description.

## ◆ miso

pin_name_t miso

Master input - slave output pin descriptor for SPI driver.

## ◆ mosi

pin_name_t mosi

Master output - slave input pin descriptor for SPI driver.

## ◆ rst

pin_name_t rst

Description.

## ◆ sck

pin_name_t sck

Clock pin descriptor for SPI driver.

## ◆ spi_mode

spi_master_mode_t spi_mode

SPI master mode.

## ◆ spi_speed

uint32_t spi_speed

SPI serial speed.

## ◆ wkp

pin_name_t wkp

Description.

The documentation for this struct was generated from the following file:

- D:/GIT/click_repository/cmake/wifi8/lib_wifi8/include/wifi8.h